Bug 10269 - REGRESSION: Entering text into text fields can make the cursor and text jump
Summary: REGRESSION: Entering text into text fields can make the cursor and text jump
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Nobody
URL:
Keywords: InRadar, Regression
Depends on:
Blocks:
 
Reported: 2006-08-05 09:09 PDT by jonathanjohnsson
Modified: 2007-01-12 15:22 PST (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jonathanjohnsson 2006-08-05 09:09:50 PDT
Steps to reproduce:
1. Fill a text field with lots of text (more than twice its width for greatest effect).
2. Move to the end of the text, then put the cursor at the beginning of the visible text.
3. Type a letter.

Result (latest WebKit)
The letter is typed, and the cursor is moved as far to the right as possible of the text field (the text follows).

Expected result (latest Safari)
The letter is typed, but the cursor only moves right to accomodate for the newly typed letter.
Comment 1 Stephanie Lewis 2006-11-06 20:26:05 PST
radar 4823077
Comment 2 Adele Peterson 2006-11-28 14:03:22 PST
I can no longer reproduce this.  Can anyone confirm?
Comment 3 mitz 2006-11-28 22:27:32 PST
(In reply to comment #2)
> I can no longer reproduce this.  Can anyone confirm?
> 

I verified that r17543, changing text controls from flexbox to RenderBlock, fixed this.
Comment 4 jonathanjohnsson 2006-11-28 22:58:51 PST
I can also no longer reproduce this.
Comment 5 Dave Hyatt 2007-01-12 15:22:17 PST
Fixed.